com.amazon.redshift.util

## Class IniFile

- java.lang.Object
- - com.amazon.redshift.util.IniFile

    public class IniFile
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IniFile(String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `getAllKeyVals(String section)`
`void` `load(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IniFile

    public IniFile(String path)
            throws IOException

Throws:
  `IOException`

### Method Detail

#### load

    public void load(String path)
              throws IOException

Throws:
  `IOException`

#### getAllKeyVals

    public Map<String,String> getAllKeyVals(String section)